/*
 * Java
 *
 * Copyright 2018-2022 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package com.microej.training.gpio.example;

import com.microej.training.gpio.Gpio;

/**
 * Example of {@link Gpio} class.
 */
public class GpioExercise {

	private static final int PIN = 0;
	private static final long DELAY = 500;

	public static void main(String[] args) throws InterruptedException {

		/*
		 * This thread waits for button actions.
		 */
		Thread t = new Thread(new Runnable() {

			@Override
			public void run() {
				while (true) {
					System.out.println("Waiting for a button event...");
					int action = waitButton();
					System.out.println("Button pressed! Action ID=0x" + Integer.toHexString(action));
				}
			}
		});
		t.start();

		/*
		 * The main thread loops indefinitely and blinks the LED.
		 */
		while (true) {
			Gpio.set(PIN, !Gpio.get(PIN));
			Thread.sleep(DELAY);
		}

	}

	public static native int waitButton();
}
