/*
 * C
 *
 * Copyright 2018-2022 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
#ifndef LLGPIO_IMPL
#define LLGPIO_IMPL

/**
 * @file
 * @brief GPIO Low Level API
 * @author MicroEJ
 * @version 1.0.0
 */

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

#define LLGPIO_set Java_com_microej_training_gpio_Gpio_set
#define LLGPIO_get Java_com_microej_training_gpio_Gpio_get


/**
 * Sets a value on the digital pin.
 *
 * @param pin
 *            the pin identifier
 * @param value
 *            digital pin value: JTRUE for high, JFALSE for low.
 */
void LLGPIO_set(int32_t pin, uint8_t state);

/**
 * Gets the value of the digital pin.
 *
 * @param pin
 *            the pin identifier
 * @return JTRUE when the GPIO digital value is currently high, JFALSE otherwise.
 */
uint8_t LLGPIO_get(int32_t pin);


#ifdef __cplusplus
}
#endif


#endif
