/*
 * Java
 *
 * Copyright 2018-2022 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package com.microej.training.gpio;

import java.util.HashMap;
import java.util.Map;

/**
 * Mockup for the {@link Gpio} class.<p>
 * Prints the state of a GPIO when modifying its value and save the value of each GPIO in a {@link Map}.
 */
public class Gpio {

	private static final Map<Integer, Boolean> GPIO = new HashMap<Integer, Boolean>();

	public static void set(int pin, boolean state) {
		System.out.println("Set GPIO "+pin+" to "+(state?"on":"off"));
		GPIO.put(Integer.valueOf(pin), Boolean.valueOf(state));
	}

	public static boolean get(int pin) {
		// Returns false by default
		return GPIO.getOrDefault(Integer.valueOf(pin), Boolean.FALSE).booleanValue();
	}

}
