/*
 * Java
 *
 * Copyright 2018-2022 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 */
package com.microej.training.gpio;

/**
 * GPIO management class.
 */
public class Gpio {

	/**
	 * Sets a value on the digital pin.
	 *
	 * @param pin
	 *            the pin identifier
	 * @param value
	 *            digital pin value: true for high, false for low.
	 */
	native public static void set(int pin, boolean value);

	/**
	 * Gets the value of the digital pin.
	 *
	 * @param pin
	 *            the pin identifier
	 * @return true when the GPIO digital value is currently high, false otherwise.
	 */
	native public static boolean get(int pin);

}
